/* -- $Id: CHMHelper.java,v 1.3 2003/07/11 16:41:32 kshaikh Exp $ --
 Copyright (C) 2001 Auriga Logic <http://www.aurigalogic.com>
 Author: Khurshidali Shaikh <kshaikh@aurigalogic.com>

 ============================================================================
		    GNU GENERAL PUBLIC LICENSE Version 2, June 1991
 ============================================================================

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
package com.aurigalogic.aurigadoc.util;

import java.io.*;

/**
 * This class is the used for processing the generated hcc file and removing 
 * the  new line characters after <LI>. This is because the chm compiler hangs
 * on some systems when it sees a newline after the <LI>. Strange but true.
 *
 * @author <a href="mailto:kshaikh@aurigalogic.com">Khurshidali Shaikh</a>
 * @version $Revision: 1.3 $ $Date: 2003/07/11 16:41:32 $
 */

public class CHMHelper {

	/**
	 * Print the usage messsage.
	 */
	public static void printUsage() {
		System.out.println("\nUsage: "
			+ "java CHMHelper .hcc file ");
	}

	/**
	 * main method called when invoked from the command line.
	 * @param args the command line arguments.
	 */
	public static void main(String[] args) {
		if (args.length < 1) {
			printUsage();
			System.exit(-1);
		}
		String fileName = args[0];
		String output = "";
		try { 
			FileReader fr = new FileReader(fileName);
			BufferedReader br = new BufferedReader(fr);
			String s = "";
			String prevLine = "";
			while ((s = br.readLine()) != null) {
				if (!prevLine.equals("<LI>")) {
					output += "\n";
				}
				output += s;
				prevLine = s;
			}
			br.close();
			fr.close();

			// now write the new file
			FileWriter fw = new FileWriter(fileName);
			PrintWriter pw = new PrintWriter(fw, true);
			pw.println(output);
			br.close();
			fr.close();
			pw.close();
			fw.close();
		} catch (FileNotFoundException fnfe) {
			System.out.println("file " + fileName + " not found" 
				+ fnfe.toString());
		} catch (IOException e) {
			System.out.println("Error reading file" + e.toString());
		}
	
	}
}
