<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: xml2hhp.xsl,v 1.7 2003/09/16 09:15:15 kshaikh Exp $ -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="text"/>
<xsl:preserve-space elements="*"/>

<!-- B: COMMON VARIABLES -->
<!--
*************************************************************************
Here we declare the document scope variable 
*************************************************************************
-->
<xsl:variable name="dfi" select="/document/document-formatting-info"/>

<xsl:variable name="toc" select="/document/document-body/table-of-content"/>

<xsl:variable name="dmi" select="/document/document-meta-info"/>

<xsl:variable name="nbsp">
<xsl:text> </xsl:text>
</xsl:variable>

<!-- number format for numbering sections -->
<xsl:variable name="snf">
<xsl:choose>
<xsl:when test="$dfi/generate-section-numbers/@number-format">
<xsl:value-of select="$dfi/generate-section-numbers/@number-format"/>
</xsl:when>
<xsl:otherwise>1</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:variable name="generate-section-numbers">
<xsl:choose>
<xsl:when test="$dfi/generate-section-numbers  = 'no'">no</xsl:when>
<xsl:otherwise>yes</xsl:otherwise>
</xsl:choose>
</xsl:variable>

<!-- E: COMMON VARIABLES -->

<!-- document -->
<xsl:template match="document">
[OPTIONS]
Compatibility=1.1 or later
Compiled file=adchm.chm
Contents file=adchm.hhc
Default topic=table_of_content.html
Display compile progress=Yes
Full-text search=Yes
Language=0x409 English (United States)
Title=<xsl:value-of select="$dmi/title"/>

[FILES]
table_of_content.html
<xsl:apply-templates select="document-body/table-of-content/link"/>
[INFOTYPES]
</xsl:template>

<xsl:template match="link">
<xsl:value-of select="concat(substring-after(@href, '#'), '.html')"/>
<xsl:text>
</xsl:text>
<xsl:apply-templates select="link"/>
</xsl:template>

</xsl:stylesheet>
